#
# spec file for package rubygem-railties-5_0
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


#
# This file was generated with a gem2rpm.yml and not just plain gem2rpm.
# All sections marked as MANUAL, license headers, summaries and descriptions
# can be maintained in that file. Please consult this file before editing any
# of those fields
#

Name:           rubygem-railties-5_0
Version:        5.0.7.2
Release:        lp151.22.1
%define mod_name railties
%define mod_full_name %{mod_name}-%{version}
%define mod_version_suffix -5_0
# MANUAL
%if 0%{?suse_version} == 1110
%define rb_build_versions ruby21
%endif
# /MANUAL
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  %{ruby >= 2.2.2}
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{rubygem rdoc > 3.10}
BuildRequires:  ruby-macros >= 5
BuildRequires:  update-alternatives
Url:            http://rubyonrails.org
Source:         https://rubygems.org/gems/%{mod_full_name}.gem
Source1:        gem2rpm.yml
Summary:        Tools for creating, working with, and running Rails applications
License:        MIT
Group:          Development/Languages/Ruby
PreReq:         update-alternatives

%description
Rails internals: application bootup, plugins, generators, and rake tasks.

%prep

%build

%install
%gem_install \
  --symlink-binaries \
  --doc-files="CHANGELOG.md MIT-LICENSE README.rdoc" \
  -f

%gem_packages

%changelog
* Thu Mar 14 2019 Stephan Kulow <coolo@suse.com>
- updated to version 5.0.7.2
  see installed CHANGELOG.md
  [#]# Rails 5.0.7.2 (March 11, 2019) ##
  * No changes.
* Sat Dec  8 2018 Stephan Kulow <coolo@suse.com>
- updated to version 5.0.7.1
  see installed CHANGELOG.md
  [#]# Rails 5.0.7.1 (November 27, 2018) ##
  * No changes.
* Fri Mar 30 2018 factory-auto@kulow.org
- updated to version 5.0.7
  see installed CHANGELOG.md
  [#]# Rails 5.0.7 (March 29, 2018) ##
  Fix check for minimum Ruby version to correctly identify Ruby 2.2.10.
  * shia*
* Mon Sep 11 2017 coolo@suse.com
- updated to version 5.0.6
  see installed CHANGELOG.md
  [#]# Rails 5.0.6 (September 07, 2017) ##
  * No changes.
  [#]# Rails 5.0.6.rc1 (August 24, 2017) ##
  * No changes.
* Thu Aug  3 2017 coolo@suse.com
- updated to version 5.0.5
  see installed CHANGELOG.md
  [#]# Rails 5.0.5 (July 31, 2017) ##
  * No changes.
  [#]# Rails 5.0.5.rc2 (July 25, 2017) ##
  * Regression fix: Allow `bin/rails test` to take absolute paths to tests.
  * Pawan Dubey*
  [#]# Rails 5.0.5.rc1 (July 19, 2017) ##
  * Make Rails' test runner work better with minitest plugins.
    By demoting the Rails test runner to just another minitest plugin —
    and thereby not eager loading it — we can co-exist much better with
    other minitest plugins such as pride and minitest-focus.
  * Kasper Timm Hansen*
* Tue Jun 20 2017 coolo@suse.com
- updated to version 5.0.4
  see installed CHANGELOG.md
  [#]# Rails 5.0.4 (June 19, 2017) ##
  * No changes.
  [#]# Rails 5.0.3 (May 12, 2017) ##
* Tue May 23 2017 coolo@suse.com
- updated to version 5.0.3
  see installed CHANGELOG.md
  * Namespace error pages' CSS selectors to stop the styles from bleeding into other pages
    when using Turbolinks.
  * Jan Krutisch*
* Thu Mar  2 2017 coolo@suse.com
- updated to version 5.0.2
  see installed CHANGELOG.md
  [#]# Rails 5.0.2 (March 01, 2017) ##
  * Fix running multiple tests in one `rake` command
    e.g. `bin/rake test:models test:controllers`
  * Dominic Cleal*
  * Don't generate HTML/ERB templates for scaffold controller with `--api` flag.
    Fixes #27591.
  * Prathamesh Sonpatki*
  * Make `Rails.env` fall back to `development` when `RAILS_ENV` and `RACK_ENV` is an empty string.
  * Daniel Deng*
  * Reset a new session directly after its creation in ActionDispatch::IntegrationTest#open_session
    Fixes Issue #22742
  * Tawan Sierek*
* Wed Dec 21 2016 coolo@suse.com
- updated to version 5.0.1
  see installed CHANGELOG.md
  [#]# Rails 5.0.1 (December 21, 2016) ##
  * No changes.
  [#]# Rails 5.0.1.rc2 (December 10, 2016) ##
  * No changes.
  [#]# Rails 5.0.1.rc1 (December 01, 2016) ##
  * Add `:skip_sprockets` to `Rails::PluginBuilder::PASSTHROUGH_OPTIONS`
  * Tsukuru Tanimichi*
  * Run `Minitest.after_run` hooks when running `rails test`.
  * Michael Grosser*
  * Run `before_configuration` callbacks as soon as application constant
    inherits from `Rails::Application`.
    Fixes #19880.
  * Yuji Yaginuma*
  * Do not run `bundle install` when generating a new plugin.
    Since bundler 1.12.0, the gemspec is validated so the `bundle install`
    command will fail just after the gem is created causing confusion to the
    users. This change was a bug fix to correctly validate gemspecs.
  * Rafael Mendonça França*
  * Ensure `/rails/info` routes match in development for apps with a catch-all globbing route.
  * Nicholas Firth-McCoy*
* Fri Aug 12 2016 coolo@suse.com
- updated to version 5.0.0.1
  see installed CHANGELOG.md
* Mon Jul  4 2016 coolo@suse.com
- updated to rails 5.0 - see http://weblog.rubyonrails.org/2016/6/30/Rails-5-0-final/
* Tue Mar  8 2016 coolo@suse.com
- updated to version 4.2.6
  see installed CHANGELOG.md
  [#]# Rails 4.2.6 (March 07, 2016) ##
  * No changes.
* Tue Mar  1 2016 coolo@suse.com
- updated to version 4.2.5.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.5.2 (February 26, 2016) ##
  * No changes.
  [#]# Rails 4.2.5.1 (January 25, 2015) ##
  * No changes.
* Tue Jan 26 2016 coolo@suse.com
- updated to version 4.2.5.1
  see installed CHANGELOG.md
* Fri Nov 13 2015 coolo@suse.com
- updated to version 4.2.5
  see installed CHANGELOG.md
  [#]# Rails 4.2.5 (November 12, 2015) ##
  * Fix displaying mailer previews on non local requests when config
    `action_mailer.show_previews` is set
  * Wojciech Wnętrzak*
* Tue Aug 25 2015 coolo@suse.com
- updated to version 4.2.4
  see installed CHANGELOG.md
  [#]# Rails 4.2.4 (August 24, 2015) ##
  * Fix STATS_DIRECTORIES already defined warning when running rake from within
    the top level directory of an engine that has a test app.
    Fixes #20510
  * Ersin Akinci*
  * Fix `NoMethodError` when generating a scaffold inside a full engine.
  * Yuji Yaginuma*
* Fri Jun 26 2015 coolo@suse.com
- updated to version 4.2.3
  see installed CHANGELOG.md
  [#]# Rails 4.2.3 (June 25, 2015) ##
  * `assert_file` understands paths with special characters
    (eg. `v0.1.4~alpha+nightly`).
  * Diego Carrion*
  * Make generated scaffold functional tests work inside engines.
  * Yuji Yaginuma*
  * Add support for inline images in mailer previews by using an interceptor
    class to convert cid: urls in image src attributes to data urls. The
    interceptor is not enabled by default but can be done in an initializer:
    [#] config/initializer/preview_interceptors.rb
    ActionMailer::Base.register_preview_interceptor(ActionMailer::InlinePreviewInterceptor)
  * Andrew White*
  * Fix mailer previews with attachments by using the mail gem's own API to
    locate the first part of the correct mime type.
    Fixes #14435.
  * Andrew White*
* Wed Jun 17 2015 coolo@suse.com
- updated to version 4.2.2
  see installed CHANGELOG.md
  [#]# Rails 4.2.2 (June 16, 2015) ##
  * No Changes *
* Fri Mar 20 2015 coolo@suse.com
- updated to version 4.2.1
  * Add a new-line to the end of route method generated code.
    We need to add a `\n`, because we cannot have two routes
    in the same line.
  * arthurnn*
  * Force generated routes to be inserted into routes.rb
  * Andrew White*
  * Don't remove all line endings from routes.rb when revoking scaffold.
    Fixes #15913.
  * Andrew White*
  * Fix scaffold generator with `--helper=false` option.
  * Rafael Mendonça França*
* Wed Jan 28 2015 adrian@suse.de
- update to version 4.2.0
* Mon Jan 19 2015 dmueller@suse.com
- update to 4.1.9:
  * `secret_token` is now saved in `Rails.application.secrets.secret_token`
    and it falls back to the value of `config.secret_token` when it is not
    present in `config/secrets.yml`.
  * Specify dummy app's db migrate path in plugin's test_helper.rb.
  * Change the path of dummy app location in plugin's test_helper.rb for cases
    you specify dummy_path option.
* Mon Nov 10 2014 tboerger@suse.com
- Added missing gem2rpm changes for previous commit
* Mon Nov 10 2014 tboerger@suse.com
- To get rails 4 running on SLE 11 i have switched the
  rb_build_versions definition to rub21 as it is activated within
  devel:languages:ruby. That way we can get running rails 4 on
  SLE 11 too.
* Sun Oct 12 2014 coolo@suse.com
- updated to version 4.1.6
  * Scaffold generator `_form` partial adds `class="field"` for password
    confirmation fields.
  * Avoid namespacing routes inside engines.
    Mountable engines are namespaced by default so the generated routes
    were too while they should not.
    Fixes #14079.
  [#]# Rails 4.1.5 (August 18, 2014) ##
  * Check attributes passed to `create_with` and `where`.
    Fixes CVE-2014-3514.
* Wed Jul 23 2014 mrueckert@suse.com
- - initial package
